Summary: BMS Web Forms and Session Management.
Name: bmsi-web
Version: 0.3.11
Release: 1%{?dist}
License: Proprietary
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
#Patch: bmsi-web.patch
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: Stuart D. Gathman <stuart@bmsi.com>
Packager: Stuart D. Gathman <stuart@gathman.org>
BuildArch: noarch
Requires: bmsi-db >= 1.4, bmsi-util >= 1.0, json, javamail
Requires: bmsi-xopen
BuildRequires: java-devel, bmsi-db >= 1.4, json, javamail, junit
BuildRequires: tomcat-servlet-3.0-api, bmsi-xopen, bmsi-edx, bmsi-webdoc

%description
Generate dynamic web pages using templates and web user interface
components.

%prep
%setup -q
#patch -p1 -b .sdg

%build
mkdir classes
# FIXME: Can't find source for CCWebClause
javac -cp '%{_javadir}/*:%{_javadir}/javamail/*:/usr/lib/java/*:/bms/java' -d $PWD/classes *.java # admin/*.java

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bms/java
mkdir -p $RPM_BUILD_ROOT/bms/webapp/webtrk
cp -r classes/* $RPM_BUILD_ROOT/bms/java
cp -p bmsi-web.css bmsi-web.js $RPM_BUILD_ROOT/bms/webapp/webtrk 
# install webtrk webapp
mkdir -p $RPM_BUILD_ROOT/bms/webapp/webtrk/META-INF
mkdir -p $RPM_BUILD_ROOT/bms/webapp/webtrk/WEB-INF/lib
cp -p web.xml $RPM_BUILD_ROOT/bms/webapp/webtrk/WEB-INF
cp -p context.xml $RPM_BUILD_ROOT/bms/webapp/webtrk/META-INF
cp -p *.html default.props $RPM_BUILD_ROOT/bms/java/bmsi/web
cp -rp admin/res $RPM_BUILD_ROOT/bms/java/bmsi/web/admin
mv $RPM_BUILD_ROOT/bms/java/bmsi/web/status.html \
	$RPM_BUILD_ROOT/bms/webapp/webtrk
ln -sf /bms/java $RPM_BUILD_ROOT/bms/webapp/webtrk/WEB-INF/classes

%files
%defattr(0664,bin,bms,0775)
/bms/java/bmsi/web
/bms/webapp/webtrk

%changelog
* Thu Jan 11 2018 Stuart Gathman <stuart@gathman.org> 0.3.11-1
- Incorporate accumulated changes

* Mon Oct  4 2010 Stuart Gathman <stuart@bmsi.com> 0.3.10-1
- Fix disappearing menus.
- Alt cust support
- WD: magic webdoc prefix on menus
- WebCheckbox auto submit
- close=all works without domain

* Mon Dec 24 2009 Stuart Gathman <stuart@bmsi.com> 0.3.9-1
- Modernize all classes to Java 5

* Mon Dec 21 2009 Stuart Gathman <stuart@bmsi.com> 0.3.8-2
- Fix typo that broke legacy menus

* Mon Dec 21 2009 Stuart Gathman <stuart@bmsi.com> 0.3.8-1
- Incorporate patches
- Run single local user options directly

* Sat Dec 12 2009 Stuart Gathman <stuart@bmsi.com> 0.3.7-4
- Update WebButton to PrintWriter so WebTable can use it

* Thu Dec 10 2009 Stuart Gathman <stuart@bmsi.com> 0.3.7-3
- Make group writable by bms

* Wed Dec 09 2009 Stuart Gathman <stuart@bmsi.com> 0.3.7-2
- Include admin/res
- Fix option sequence and local menu option

* Mon Dec 07 2009 Stuart Gathman <stuart@bmsi.com> 0.3.7-1
- Define option names in WEB.PROGS, use for prog= and building menus.
- Improve menu.html to look like existing manual menus
- Remove prog and add seq field to WEB.USER.PROGS
- Fix infinite recursion when redefining paint in a WebMenu subclass

* Sat Nov 14 2009 Stuart Gathman <stuart@bmsi.com> 0.3.6-1
- fix WebForm not ending with newline, add TestCases.
- add authorization check for prog= with WEB.USER.PROGS
- add getUserMenu() called for null menu: "menu/"

* Fri Oct 23 2009 Stuart Gathman <stuart@bmsi.com> 0.3.5-2
- add base webapp installation

* Fri Oct 23 2009 Stuart Gathman <stuart@bmsi.com> 0.3.5-1
- WebUser.Group
- fix WebForm bug with inner templates named with underscore

* Fri Oct 23 2009 Stuart Gathman <stuart@bmsi.com> 0.3.4-2
- Read templates as utf-8.

* Fri Oct 23 2009 Stuart Gathman <stuart@bmsi.com> 0.3.4-1
- More AJAX support. Unicode support.

* Tue Aug 04 2009 Stuart Gathman <stuart@bmsi.com> 0.3.2-1
- Add innerHTML support for WebTable, WebInput, WebTextArea.

* Tue Aug 04 2009 Stuart Gathman <stuart@bmsi.com> 0.3.1-2
- Add basic JSON support to WebForm
